Report exports
Queue Chat
Queue a chat turn. Reuse Idempotency-Key after an uncertain response.
POST
/
api
/
public
/
v1
/
intelligence-hub
/
sessions
/
{session_id}
/
chat
/
jobs
Queue Chat
curl --request POST \
--url https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"prompt": "What creates friction during onboarding?"
}
'import requests
url = "https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs"
payload = { "prompt": "What creates friction during onboarding?" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({prompt: 'What creates friction during onboarding?'})
};
fetch('https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => 'What creates friction during onboarding?'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs"
payload := strings.NewReader("{\n \"prompt\": \"What creates friction during onboarding?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"What creates friction during onboarding?\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"What creates friction during onboarding?\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "<string>",
"status": "pending",
"completed": true,
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"poll_url": "<string>",
"result_url": "<string>",
"total_count": 123,
"error": "<string>",
"result": {
"answer": "<string>",
"references": [
{
"label": "<string>",
"quote": "<string>",
"study_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_id": "<string>",
"message_index": 123,
"page": 123
}
],
"output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partial": false
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Headers
Required string length:
1 - 200Platform admins only: choose an organization for scoped reads and writes. Required to change another organization's study or use its wallet.
Maximum string length:
128Path Parameters
Body
application/json
Response
Successful Response
Available options:
pending, running, succeeded, failed True when work has finished successfully
Fetch the created resource after success
Requested participant count for a batch
A safe failure summary; internal details are never returned
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Queue Chat
curl --request POST \
--url https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"prompt": "What creates friction during onboarding?"
}
'import requests
url = "https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs"
payload = { "prompt": "What creates friction during onboarding?" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({prompt: 'What creates friction during onboarding?'})
};
fetch('https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => 'What creates friction during onboarding?'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs"
payload := strings.NewReader("{\n \"prompt\": \"What creates friction during onboarding?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"What creates friction during onboarding?\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.userintuition.ai/api/public/v1/intelligence-hub/sessions/{session_id}/chat/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"What creates friction during onboarding?\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "<string>",
"status": "pending",
"completed": true,
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"poll_url": "<string>",
"result_url": "<string>",
"total_count": 123,
"error": "<string>",
"result": {
"answer": "<string>",
"references": [
{
"label": "<string>",
"quote": "<string>",
"study_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_id": "<string>",
"message_index": 123,
"page": 123
}
],
"output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partial": false
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}
